using System;
using System.Collections;
using System.IO;


namespace Liss
{
	public class Resolver
	{
		Scanner scanner;

		public Resolver()
		{
		}

		public Resolver(Scanner scanner1)
		{
			this.scanner = scanner1;
		}

		public bool IsVarDecl() 
		{

			Token next = scanner.Peek();
			if (next.val == "->" || next.val == ":=")
				return true;
			else
				return false;
		}

	}
}